package cn.axzo.workflow.core.converter.json;

import cn.axzo.workflow.common.model.request.bpmn.BpmnJsonNode;
import org.flowable.bpmn.model.EndEvent;
import org.flowable.bpmn.model.Process;

import static cn.axzo.workflow.common.constant.BpmnConstants.END_EVENT_ID;

/**
 * 结束节点
 *
 * @author wangli
 * @since 2023/10/13 14:47
 */
public class EndEventJsonConverter extends AbstractBpmnJsonConverter<EndEvent> {

    @Override
    public EndEvent convertJsonToElement(BpmnJsonNode node, Process process) {
        EndEvent endEvent = new EndEvent();
        endEvent.setId(END_EVENT_ID);
        return endEvent;
    }
}
